unit fAboutMe;

interface

uses Windows, SysUtils, Classes, Graphics, Forms, Controls, StdCtrls,
  Buttons, ExtCtrls, ComCtrls;
type
  TAboutBox = class(TForm)
    Panel1: TPanel;
    ProgramIcon: TImage;
    ProductName: TLabel;
    Version: TLabel;
    Copyright: TLabel;
    OKButton: TButton;
    Label1: TLabel;
    lblEmail: TLabel;
    lblURL: TLabel;
    lblJEDI: TLabel;
    procedure lblURLClick(Sender: TObject);
    procedure lblEmailClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure lblJEDIClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  AboutBox          : TAboutBox;

implementation

{$R *.DFM}

uses shellAPI;

procedure GotoURL(Handle: Integer; const URL: string);
var St              : array[0..255] of char;
begin
  ShellExecute(Handle, 'open', StrPCopy(St, URL), nil, nil, SW_SHOW);
end;

procedure TAboutBox.lblURLClick(Sender: TObject);
begin
  GotoURL(Handle, lblURL.Caption);
end;

procedure TAboutBox.lblEmailClick(Sender: TObject);
begin
  GotoURL(Handle, 'mailto:' + lblEmail.Caption);
end;

procedure TAboutBox.FormShow(Sender: TObject);
begin
  SetWindowPos((self).Handle, HWND_TOPMOST, 0, 0, 0, 0, SWP_NOACTIVATE or SWP_NOMOVE or SWP_NOSIZE);
end;

procedure TAboutBox.lblJEDIClick(Sender: TObject);
begin
  GotoURL(Handle, lblJEDI.Caption);
end;

end.
